/*eslint-disable*/
import React from 'react';
import PropTypes from 'prop-types';
import Styles from './style.scss';


const CircularLoader = ({ size, color, thickness }) => {
  const root = document.documentElement;
  root.style.setProperty('--loader-color', color);
  return (
    <div className={`${Styles.loader}`} style={{ width: size, height: size }} >
      <svg className={`${Styles.circularLoader}`} viewBox="25 25 50 50" >
        <circle className={`${Styles.loaderPath}`} cx="50" cy="50" r="20" fill="none" stroke={color} strokeWidth={thickness} />
      </svg>
    </div>
  )
}

CircularLoader.propTypes = {
  color: PropTypes.string.isRequired,
  size: PropTypes.number.isRequired,
  thickness: PropTypes.number
};

CircularLoader.defaultProps = {
  color: 'rgb(33, 149, 243)',
  size: 130,
  thickness: 2
};

export default CircularLoader;